<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

var mtsbankModule = "mtsbank";
var mtsbankModuleId = ${mid};

function checkMTSBankPay( form )
{
	var sum = parseFloat( form.sum.value.replace(",",".") );
	if ( isNaN( sum ) )
	{
		alert( 'Введена некоректная сумма' );
		return false;		
	}
	else if ( sum < ${dataMap['sumMin']} || sum > ${dataMap['sumMax']} )
	{
		alert( "Введите сумму от ${dataMap['sumMin']} до ${dataMap['sumMax']}" );
		return false;		
	}
	return confirm('Вы подтверждаете платеж на сумму - ' + form.sum.value + ' ${currencyTitleMedium}?');
}

function getTransIdAndGoGate( sum )
{
	jQuery.get( webexecuter, { action: 'MTSBank', operation: 'payment', module: mtsbankModule, mid: mtsbankModuleId, contractId: contractId, ct: 'json', sum: sum }, 
		function( data )
		{
			var form = jQuery( "#mtsBankGateForm" )[0];
			form.trans_id.value = data.TRANSACTION_ID;
			form.submit();
		}
	);
}
</script>

<form action="${dataMap['gateUrl']}" method="POST" id="mtsBankGateForm">
	<input type="hidden" name="trans_id"/>
</form>

<form method="POST">
	<%@include file="../include/error.jsp" %>

	<table class="tableFont tableWidth">
	  <tr>
	    <td class="textColor1 backgroundColor3  borderRadius" style="text-align: center; padding: 10px 20px;">
	    	<h3>Пополните счет c помощью шлюза <a href="http://www.mtsbank.ru/" target="_blank" class="textColor1">МТСБанка</a></h3>
			<div style="padding: 0px 4px;"><nobr>Сумма (от ${dataMap['sumMin']} до ${dataMap['sumMax']}): <input type="text" required="required" name="sum" size="12" style="text-align: center;"/>&nbsp;<button type="button" onclick="if ( checkMTSBankPay( this.form ) ) getTransIdAndGoGate( this.form.sum.value.replace(',','.') );">Оплатить</button></nobr></div>
		</td>
		<td style="width: 20px;">&nbsp;</td>
	    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
	  </tr>
	</table>
</form>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="mtsBankListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="mtsBankListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="mtsBankListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	  <tr>
	  	<td><div style="display: none;">Статус: <select onchange="jQuery('#mtsBankListForm')[0].status.value=this.value;jQuery('#mtsBankListForm')[0].submit();">
	  	<c:forEach var="item" items="${dataMap['statusList']}">
	  	<c:set var="selected"><c:if test="${item.code eq dataMap['status']}">selected="1"</c:if> </c:set>
	  	<option value="${item.code}" ${selected}>${item.title}</option>
	  	</c:forEach>
	  	</select></div></td>
	  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">показать допол. фильтры</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['paymentList']}">
			<c:forEach var="item" items="${dataMap['paymentList']}">
				<tr>
					<td>${item.id}</td>
					<c:choose>
						<c:when test="${not empty item.transactionDate}"><td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:when>
						<c:otherwise><td><fmt:formatDate value="${item.createDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:otherwise>
					</c:choose>
					<td><c:forEach var="statusItem" items="${dataMap['statusList']}"><c:if test="${item.status eq statusItem.code}">${statusItem.title}</c:if></c:forEach></td>
					<td><fmt:formatNumber value="${item.sum}" minFractionDigits="2" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="5" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>
